import java.util.Scanner;

public class EntregaRapida {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in); 
		// leitura da origem e do destino da entrega
		while(sc.hasNext()){
			String origem = sc.next(); 
			String destino = sc.next();
			
			// verifica a condicao de parada (se origem igual a destino o programa deve parar)
			if(origem.equals(destino))
				break;
			
			// vetor bidimensional que armazena os tempos por trecho e periodo do dia
			int[][] tempos = new int[destino.compareTo(origem)][4];
			
			// vetor bidimensional que armazena os tempos totais por periodo do dia
			int[] temposPeriodo = new int[4];
			
			// leitura dos tempos por trecho e periodo
			for(int i=0; i < tempos.length; i++){
				tempos[i][0] = sc.nextInt();
				tempos[i][1] = sc.nextInt();
				tempos[i][2] = sc.nextInt();
				tempos[i][3] = sc.nextInt();
			}
			
			// calculo dos tempos totais por periodo
			for(int i=0; i<tempos.length; i++){
				for(int j = 0; j <4; j++)
					temposPeriodo[j] += tempos[i][j]; 
					
			}
			
			// exibicao da mensagem de acordo com o menor periodo
			System.out.print("Melhor periodo para fazer a entrega: "); 
			if(temposPeriodo[2] <= temposPeriodo[1]){
				if(temposPeriodo[2] <= temposPeriodo[3]){
					if(temposPeriodo[2] <= temposPeriodo[0])
						System.out.println("tarde.");
					else
						System.out.println("madrugada.");
				}else if (temposPeriodo[3] <= temposPeriodo[0])
					System.out.println("noite.");
				else
					System.out.println("madrugada.");
			}else{
				if(temposPeriodo[1] <= temposPeriodo[3]){
					if(temposPeriodo[1] <= temposPeriodo[0])
						System.out.println("manha.");
					else
						System.out.println("madrugada.");
				}else if (temposPeriodo[3] <= temposPeriodo[0])
					System.out.println("noite.");
				else
					System.out.println("madrugada.");
			}
		}
		sc.close();
	}
}
